Subject: [p2p-sip] dhts

From: eunsoo at research.panasonic.com (Eunsoo Shim)
Date: Tue Nov 1 02:46:18 2005

I think you pointed out an important issue - selection of DHT.
There are many DHT mechanisms and I am sure we will see more in the future.
I don't think this community intends to be an judge on DHT mechanisms but we need to identify a very small number of DHTs for specifications (and/or experiments) of P2P SIP while making the protocol flexible enough to incorporate other DHT mechanisms easily. (It is one of the requirements put in draft-baset-sipping-p2preq-00.txt.)

So a question we have is how to select DHT mechanisms we are going to use initially.
I think it is an important meric if a particular DHT is well understood by people who want to implement P2P SIP.
But there are other requirements for DHT as well such as robustness and lookup speed. Thus this community should come up with a procedure for selection of DHTs for P2P SIP.
I am trying to compile a proposal for such a procedure (thanks to Rohan's advice).
Any input on this will be appreciated.
Thanks.

Eunsoo

----- Original Message -----
From: Adam Fisk <[email-masked]>
Date: Monday, October 31, 2005 3:23 pm
Subject: [p2p-sip] dhts

> I just wanted to pipe in on the DHT question to caution against 
> the 
> Chord bandwagon.  Sure, Chord is nice to reference because most 
> people 
> have heard of it.  That's really just because Chord was the first 
> prominent DHT algorithm, though, and that's still it's primary 
> distinguishing characteristic.  Other algorithms such as Kademlia 
> are 
> significantly more robust and have less rigid routing schemes, 
> though. 
> 
> We should be clear that Chord should only be referenced *because 
> people 
> know it* and should not seriously be considered for real world 
> implementations.  I'd actually prefer it if people stopped 
> referencing 
> Chord in the various drafts simply because it contributed to the 
> misconception that it's a good option.
> 
> Thanks.
> 
> -Adam
> _______________________________________________
> p2p-sip mailing list
> [email-masked]
> http://lists.cs.columbia.edu/mailman/listinfo/p2p-sip
>